Oslo - a Library of Common OpenStack Code

Upgrade to iso8601 0.1.5 version breaks time_utils tests

Reported by Roman Podoliaka on 2013-10-18
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
Unassigned
OpenStack Core Infrastructure
Undecided
Unassigned
oslo
Critical
Davanum Srinivas (DIMS)

Bug Description

New release of iso8601 lib breaks our tests:

2013-10-18 08:55:22.756 | FAIL: unit.test_timeutils.TestIso8601Time.test_offset_west
2013-10-18 08:55:22.757 | tags: worker-0
2013-10-18 08:55:22.757 | ----------------------------------------------------------------------
2013-10-18 08:55:22.757 | Empty attachments:
2013-10-18 08:55:22.757 | pythonlogging:'openstack.common'
2013-10-18 08:55:22.758 | stderr
2013-10-18 08:55:22.758 | stdout
2013-10-18 08:55:22.758 |
2013-10-18 08:55:22.759 | Traceback (most recent call last):
2013-10-18 08:55:22.759 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/tests/unit/test_timeutils.py", line 244, in test_offset_west
2013-10-18 08:55:22.759 | self._do_test(str, 2012, 2, 14, 20, 53, 7, 0, offset)
2013-10-18 08:55:22.760 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/tests/unit/test_timeutils.py", line 221, in _do_test
2013-10-18 08:55:22.760 | self.assertEqual(offset.seconds + offset.days * DAY_SECONDS, shift)
2013-10-18 08:55:22.760 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 322, in assertEqual
2013-10-18 08:55:22.761 | self.assertThat(observed, matcher, message)
2013-10-18 08:55:22.761 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 417, in assertThat
2013-10-18 08:55:22.761 | raise MismatchError(matchee, matcher, mismatch, verbose)
2013-10-18 08:55:22.761 | MismatchError: -16200 != -19800.0
2013-10-18 08:55:22.762 | ======================================================================
2013-10-18 08:55:22.762 | FAIL: unit.test_timeutils.TestIso8601Time.test_offset_west_micros
2013-10-18 08:55:22.762 | tags: worker-0
2013-10-18 08:55:22.763 | ----------------------------------------------------------------------
2013-10-18 08:55:22.763 | Empty attachments:
2013-10-18 08:55:22.763 | pythonlogging:'openstack.common'
2013-10-18 08:55:22.763 | stderr
2013-10-18 08:55:22.764 | stdout
2013-10-18 08:55:22.764 |
2013-10-18 08:55:22.764 | Traceback (most recent call last):
2013-10-18 08:55:22.765 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/tests/unit/test_timeutils.py", line 249, in test_offset_west_micros
2013-10-18 08:55:22.765 | self._do_test(str, 2012, 2, 14, 20, 53, 7, 654321, offset)
2013-10-18 08:55:22.765 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/tests/unit/test_timeutils.py", line 221, in _do_test
2013-10-18 08:55:22.766 | self.assertEqual(offset.seconds + offset.days * DAY_SECONDS, shift)
2013-10-18 08:55:22.766 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 322, in assertEqual
2013-10-18 08:55:22.766 | self.assertThat(observed, matcher, message)
2013-10-18 08:55:22.766 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 417, in assertThat
2013-10-18 08:55:22.767 | raise MismatchError(matchee, matcher, mismatch, verbose)
2013-10-18 08:55:22.767 | MismatchError: -16200 != -19800.0
2013-10-18 08:55:22.767 | ======================================================================
2013-10-18 08:55:22.768 | FAIL: unit.test_timeutils.TimeUtilsTest.test_parse_isotime_micro_second_precision
2013-10-18 08:55:22.768 | tags: worker-0
2013-10-18 08:55:22.768 | ----------------------------------------------------------------------
2013-10-18 08:55:22.768 | Empty attachments:
2013-10-18 08:55:22.769 | pythonlogging:'openstack.common'
2013-10-18 08:55:22.769 | stderr
2013-10-18 08:55:22.769 | stdout
2013-10-18 08:55:22.770 |
2013-10-18 08:55:22.770 | Traceback (most recent call last):
2013-10-18 08:55:22.770 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/tests/unit/test_timeutils.py", line 68, in test_parse_isotime_micro_second_precision
2013-10-18 08:55:22.771 | self.assertEqual(skynet_self_aware_time_ms_utc, expect)
2013-10-18 08:55:22.771 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 322, in assertEqual
2013-10-18 08:55:22.771 | self.assertThat(observed, matcher, message)
2013-10-18 08:55:22.771 | File "/home/jenkins/workspace/gate-oslo-incubator-python26/.tox/py26/lib/python2.6/site-packages/testtools/testcase.py", line 417, in assertThat
2013-10-18 08:55:22.772 | raise MismatchError(matchee, matcher, mismatch, verbose)
2013-10-18 08:55:22.772 | MismatchError: !=:
2013-10-18 08:55:22.772 | reference = datetime.datetime(1997, 8, 29, 6, 14, 0, 123, tzinfo=<iso8601.iso8601.Utc object at 0x2478450>)
2013-10-18 08:55:22.773 | actual = datetime.datetime(1997, 8, 29, 6, 14, 0, 123000, tzinfo=<iso8601.iso8601.Utc object at 0x2478450>)

Ben Nemec (bnemec) wrote :

This is blocking everything proposed to Oslo right now.

Changed in oslo:
importance: Undecided → Critical
status: New → Triaged
Changed in openstack-ci:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/52677

Changed in oslo:
assignee: nobody → Dan Prince (dan-prince)
status: Triaged → In Progress

I believe there is one more bug that needs to be fixed upstream - https://bitbucket.org/micktwomey/pyiso8601/issue/9/regression-parsing-microseconds

Changed in oslo:
assignee: Dan Prince (dan-prince) → Davanum Srinivas (DIMS) (dims-v)

Reviewed: https://review.openstack.org/52796
Committed: http://github.com/openstack/oslo-incubator/commit/b2dc07ec98d210c5b6a7b4e62c872c11f0a8b069
Submitter: Jenkins
Branch: master

commit b2dc07ec98d210c5b6a7b4e62c872c11f0a8b069
Author: Davanum Srinivas <email address hidden>
Date: Sat Oct 19 18:40:34 2013 -0400

    Skip bad versions of iso8601

    0.1.7 is now released (https://pypi.python.org/pypi/iso8601). We
    do need to allow folks to use the old 0.1.4 or the new 0.1.7 and
    avoid the two bad versions (0.1.5 and 0.1.6)

    Closes-Bug: 1241460

    Change-Id: I96bfd8f27d9f7327c4c353c5f57660aabaa8c735

Changed in oslo:
status: In Progress → Fix Committed
gordon chung (chungg) wrote :

req update merged into ceilometer: https://review.openstack.org/#/c/52433/

Changed in ceilometer:
status: New → Fix Committed
Changed in oslo:
milestone: none → icehouse-1
Thierry Carrez (ttx) on 2013-12-04
Changed in ceilometer:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-12-05
Changed in oslo:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in oslo:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ceilometer:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers